<%@page language="java" contentType="text/html; charset=utf-8"%>
<%@page import="java.io.*"%>
<%@page import="devpia.dextupload.*"%>
<%
	PrintWriter w = response.getWriter();
	
	FileUpload fileUpload = new FileUpload(request, response);

	try {
		String strPath = request.getRealPath("/");
		
		// 정품 혹은 평가판의 만료일을 판단하기 위한 라이센스 파일의 위치를 지정합니다.
		fileUpload.setLicenseFilePath(strPath + File.separator + "dextuploadj.config");
		
		fileUpload.setCharacterEncoding("utf-8");
		
		fileUpload.UploadStart(strPath);
	
		// getFileItemValues(\"DEXTUploadX\") 를 사용해서 중복된 모든 파일 아이템을 가져온다.
		// DEXTUploadX를 연동할 경우 파일 아이템은 모두 "DEXTUploadX" 이름으로 전송된다. 
		FileItem[] value = fileUpload.getFileItemValues("DEXTUploadX");

		for (int i = 0; i < value.length; i++) 
		{
			if(value[i] != null)
			{
				if(value[i].IsUploaded())
				{
					value[i].Save(strPath, true);
		
					// Save() 메소드 등에 의해서 마지막으로 저장된 파일의 경로를 구할 수 있다. 
					// value[i].getLastSavedFilePath(); 
				}
				else
				{
					// 파일이 업로드 되지 않았을 때의 처리를 한다. 				
				}
			}
		}
	}
	catch (DEXTUploadException ex) {
		// 예외에 대한 처리를 수행한다. 
		System.out.println("DEXTUploadException : "+ex.getMessage());
	} 
	catch (Exception ex) {
		// 예외에 대한 처리를 수행한다. 
		System.out.println("Exception : "+ ex.getMessage());
	} 
	finally {
		// 종료 시에 반드시 자원을 해제해야 한다.
		// 그렇지 않으면 임시 파일이 삭제되지 않고 남을 수 있다.
		fileUpload.dispose();
	}
%>
