<%@page language="java" contentType="text/html; charset=utf-8"%>
<%@page import="java.io.*"%>
<%@page import="devpia.dextupload.*"%>

<%

	PrintWriter w = response.getWriter();
	
	FileUpload fileUpload = new FileUpload(request, response);

	fileUpload.setAutoMakeFolder(true); 

	try {
			String strPath = request.getRealPath("/");
			
			// 정품 혹은 평가판의 만료일을 판단하기 위한 라이센스 파일의 위치를 지정합니다.
			fileUpload.setLicenseFilePath(strPath + File.separator + "dextuploadj.config");
			
			//다국어 언어 처리
			fileUpload.setCharacterEncoding("utf-8");
			
			// 업로드 시작. 지정된 폴더("/")에 임시 파일을 생성한다.
			// 임시 파일을 생성/쓰기 할 수 없다면 실패 할 수 있다.
			// 아래처럼 임시 폴더를 지정하지 않으면 자바에서 제공하는 임시 폴더를 사용한다.
			fileUpload.UploadStart(strPath);
		
			// getFileItemValues(\"DEXTUploadX\") 를 사용해서 중복된 모든 파일 아이템을 가져온다.
			// DEXTUploadX를 연동할 경우 파일 아이템은 모두 "DEXTUploadX" 이름으로 전송된다. 
			FileItem[] value = fileUpload.getFileItemValues("DEXTUploadX");

			// DEXTUploadX를 연동할 경우 파일 경로는 모두 "DEXTUploadX_FolderPath" 이름으로 전송된다. 
			String[] folder = fileUpload.getParameterValues("DEXTUploadX_FolderPath");
			 
			for (int i = 0; i < value.length; i++) 
			{
				if(value[i] != null)
				{
					if(value[i].IsUploaded())
					{
							String separator = File.separator;
							String TargetPath = strPath+folder[i];	
							String TargetName =  value[i].getFileName();

							if(TargetPath.length() > 0)
							{
									 if(TargetPath.charAt(TargetPath.length()-1) == '/' || TargetPath.charAt(TargetPath.length()-1) == '\\' )
									{
										 separator = ""; 
									}
							}
							value[i].SaveAs(TargetPath + separator + TargetName, true);						
					 }
					 else
					 {
							// 파일이 업로드 되지 않았을 때의 처리
							//w.println("파일이 업로드 되지 않았습니다.");
					 }
				}//if
			}//for

	} catch (DEXTUploadException ex) {
		// 예외에 대한 처리를 수행한다. 
		System.out.println("DEXTUploadException : "+ex.getMessage());
	} catch (Exception ex) {
		// 예외에 대한 처리를 수행한다. 
		System.out.println("Exception :"+ex.getMessage());
	} finally {
		// 종료 시에 반드시 자원을 해제해야 한다.
		// 그렇지 않으면 임시 파일이 삭제되지 않고 남을 수 있다.
		fileUpload.dispose();
	}
%>
