<%@page language="java" contentType="text/html; charset=utf-8"%>
<%@page import="java.io.*"%>
<%@page import="devpia.dextupload.*"%>
<%
	PrintWriter w = response.getWriter();
	
	FileUpload fileUpload = new FileUpload(request, response);

	fileUpload.setAutoMakeFolder(true); 

	try {
			String strPath = request.getRealPath("/");
			
			// 정품 혹은 평가판의 만료일을 판단하기 위한 라이센스 파일의 위치를 지정합니다.
			fileUpload.setLicenseFilePath(strPath + File.separator + "dextuploadj.config");
					
			fileUpload.setCharacterEncoding("utf-8");
			
			fileUpload.UploadStart(strPath);
		
			// getFileItemValues(\"DEXTUploadX\") 를 사용해서 중복된 모든 파일 아이템을 가져온다.
			// DEXTUploadX를 연동할 경우 파일 아이템은 모두 "DEXTUploadX" 이름으로 전송된다. 
			FileItem[] value = fileUpload.getFileItemValues("DEXTUploadX");

			// DEXTUploadX를 연동할 경우 별칭은 "DextUploadX_Alias" 이름으로 전송된다. 
			String[] Alias = fileUpload.getParameterValues("DEXTUploadX_Alias");   

			
			if( value == null )
				System.out.println("value is null");

			if( Alias == null )
				System.out.println("alias is null");

			for (int i = 0; i < value.length; i++) 
			{
				//String  AliasName[];
				if( (value[i] != null) && (value[i].IsUploaded()) )
				{				
						//별명이 있다면 별명으로 파일이름 저장
						if( (Alias != null) && !Alias[i].equals("") )
						{
							value[i].SaveAs(strPath+File.separator+Alias[i],true); 
						}
						else
						{
							value[i].Save(strPath,true);	
						}
				}
				else
				{
					// 파일이 업로드 되지 않았을 때의 처리
					//w.println("파일이 업로드 되지 않았습니다.");
				}
			}//for
	}//try
	catch (DEXTUploadException ex) {
		// 예외에 대한 처리를 수행한다. 
		 System.out.println("DEXTUploadException ex :"+ex.getMessage()); 
	} 
	catch (Exception ex) {
		// 예외에 대한 처리를 수행한다. 
		 System.out.println("Exception ex :"+ex.getMessage()); 
	} 
	finally {
		// 종료 시에 반드시 자원을 해제해야 한다.
		// 그렇지 않으면 임시 파일이 삭제되지 않고 남을 수 있다.
		fileUpload.dispose();
	}
%>